
import random
import arrow

def random_date_format(date, format_type):
    """
    Convert a given date to a random format using Arrow library.
    
    Args:
        date (arrow.Arrow): The date to be formatted.
        format_type (str): The type of format to convert the date to.
    
    Returns:
        str: The formatted date string.
    """
    formats = ['YYYY-MM-DD', 'DD/MM/YYYY', 'MM/DD/YYYY', 'YYYY/MM/DD', 'YYYY-MM-DD HH:mm:ss', 'DD-MM-YYYY']
    random_format = random.choice(formats)
    return date.format(random_format)

# Code Explanation
# This function takes an Arrow date object and a format type. It then converts the date to a random format
# chosen from a predefined list of formats.

# JSON Explanation
